Package org.sunflow.core

## Interface CausticPhotonMapInterface

- All Superinterfaces:
    `PhotonStore`
  All Known Implementing Classes:
    `CausticPhotonMap`

      public interface CausticPhotonMapInterface
      extends PhotonStore

  This class is a generic interface to caustic photon mapping capabilities.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `getSamples​(ShadingState state)` | Retrieve caustic photons at the specified shading location and add them as diffuse light samples.

    - ### Methods inherited from interface org.sunflow.core.PhotonStore

      `allowDiffuseBounced, allowReflectionBounced, allowRefractionBounced, init, numEmit, prepare, store`

- - ### Method Detail

    - #### getSamples

          void getSamples​(ShadingState state)

      Retrieve caustic photons at the specified shading location and add them as diffuse light samples.
      Parameters:
        `state` -